#etd-calendar-header {
    background-color: #777;
    color: #fff;
    text-align: center;
    line-height: 70px;
    font-size: 1.3em;
    position: relative;
}

#etd-calendar-header-month {
    display: inline-block;
}

#etd-calendar-month-tools {
    display: inline-block;
    position: absolute;
    right: 25px;
}

#etd-calendar-month-tools button {
    color: #fff;
    background-color: #000;
    min-width: 35px;
    min-height: 35px;
    border: none;
    border-radius: 35px;
    font-size: 0.9em;
    appearance: none;
    cursor: pointer;
}

#etd-current-month {
    padding-right: 25px;
    padding-left: 25px;
}

#etd-calendar-body {
    display: flex;
    flex-direction: column;
    gap: 10px;
    opacity: 0;
    transition: opacity 0.1s linear;
}

#etd-calendar-body .week {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 10px;
}

#etd-calendar-body .week .day {
    width: 100%;
    height: 200px;
    background-color: #eee;
    position: relative;
    color: #000;
}

#etd-calendar-body .week .day.open {
    background-color: #33754a;
}

#etd-calendar-body .week .day:visited {
    color: #000;
}

#etd-calendar-body .week .day .date {
    font-size: 1.2em;
    padding-left: 5px;
    padding-top: 5px;
}

#etd-calendar .event {
    box-sizing: border-box;
    font-size: 1.2em;
    color: #fff;
    height: 150px;
    position: absolute;
    top: 25px;
    margin-left: 10px;
    margin-right: 10px;
    text-align: center;
    padding: 10px;
    left: 0;
    display: flex;
    align-items: center;
    width: calc(100% - 20px);
}

#etd-calendar .event span {
    width: 100%;
}

#etd-calendar .empty-slot {
    display: block;
    box-sizing: border-box;
    height: 150px;
    position: absolute;
    top: 25px;
    margin-left: 10px;
    margin-right: 10px;
    left: 0;
    width: calc(100% - 20px);
}

#etd-calendar-legend {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    margin-bottom: 20px;
}

#etd-calendar .legend-elmt {
    display: flex;
    align-items: center;
    white-space: nowrap;
    margin-right: 40px;
}

#etd-calendar .legend-color {
    display: inline-block;
    width: 30px;
    height: 20px;
    margin-right: 10px;
}

#etd-calendar .tick {
    /*position: absolute;
    height: 100%;
    top: 0;
    width: 100%;
    left: 0;
    z-index: 100;
    background: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' preserveAspectRatio='none' viewBox='0 0 100 100'><path d='M0 0 L100 100 ' stroke='black' stroke-width='5'/><path d='M100 0 L0 100 ' stroke='black' stroke-width='5'/></svg>") no-repeat;
    background-size: 100% 100%;*/
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(15, 15, 15, 0.5);
}

#etd-calendar .working-group {
    background-color: #55a;
}

#etd-calendar .formation {
    background-color: #f9c802;
}

#etd-calendar .empty-slot,
#etd-calendar .open {
    background-color: #5a5;
}

#etd-calendar .empty-slot.past {
    background-color: #666666;
}

#etd-calendar .privatised {
    background-color: #a55;
}

#etd-calendar .exterieur {
    background-color: #d3d3d3;
}

/* Uniquement pour créneaux en fin de semaine, précédant un créneau le jour suivant */
#etd-calendar .event.preceding-week-end {
    margin-right: 0;
    width: calc(100% - 10px);
}

#etd-calendar .event.preceding-week-end.following {
    margin-right: 0;
    width: calc(100% + 5px);
}

#etd-calendar .event.preceding {
    width: calc(100% - 5px);
}

#etd-calendar .event.following-week-begining {
    margin-left: 0;
    width: calc(100% - 10px);
}

#etd-calendar .event.following-week-begining.preceding {
    width: calc(100% + 5px);
}

#etd-calendar .event.following {
    width: calc(100% - 5px);
    margin-left: -5px;
}

#etd-calendar .event.following span {
    text-align: center;
    display: block;
    position: absolute;
    z-index: 800;
}

#etd-calendar .event.following.consecutive-slot-2 span {
    width: 200%;
    margin-left: calc(-100% - 10px);
    left: unset;
}

#etd-calendar
    .event.following.consecutive-slot-2.event.preceding-week-end
    span {
    width: calc(200% - 10px);
    margin-left: -100%;
}

#etd-calendar .event.following.consecutive-slot-2.follow-prev-week span {
    width: calc(200% + 10px);
    margin-left: calc(-100% - 10px);
}

#etd-calendar .event.following.consecutive-slot-3 span {
    width: calc(300% + 15px);
    margin-left: calc(-200% - 25px);
    left: unset;
}

#etd-calendar
    .event.following.consecutive-slot-3.event.preceding-week-end
    span {
    width: calc(300% - 5px);
    margin-left: calc(-200% - 5px);
}

#etd-calendar .event.following.consecutive-slot-3.follow-prev-week span {
    width: calc(300% + 25px);
    margin-left: calc(-200% - 35px);
}

#etd-calendar .event.following.consecutive-slot-4 span {
    width: calc(400% + 30px);
    margin-left: calc(-300% - 40px);
    left: unset;
}

#etd-calendar
    .event.following.consecutive-slot-4.event.preceding-week-end
    span {
    width: 400%;
    margin-left: calc(-300% - 10px);
}

#etd-calendar .event.following.consecutive-slot-4.follow-prev-week span {
    width: calc(400% + 40px);
    margin-left: calc(-300% - 50px);
}

#etd-calendar .event.following.consecutive-slot-5 span {
    width: calc(500% + 45px);
    margin-left: calc(-400% - 55px);
    left: unset;
}

#etd-calendar
    .event.following.consecutive-slot-5.event.preceding-week-end
    span {
    width: calc(500% + 5px);
    margin-left: calc(-400% - 15px);
}

#etd-calendar .event.following.consecutive-slot-5.follow-prev-week span {
    width: calc(500% + 55px);
    margin-left: calc(-400% - 65px);
}

#etd-calendar .event.following.consecutive-slot-6 span {
    width: calc(600% + 60px);
    margin-left: calc(-500% - 70px);
    left: unset;
}

#etd-calendar .event.following.consecutive-slot-6.preceding-week-end span {
    width: calc(600% + 10px);
    margin-left: calc(-500% - 20px);
}

#etd-calendar .event.following.consecutive-slot-6.follow-prev-week span {
    width: calc(600% + 70px);
    margin-left: calc(-500% - 80px);
}

#etd-calendar .event.following.consecutive-slot-7 span {
    width: calc(700% + 75px);
    margin-left: calc(-600% - 85px);
    left: unset;
}

#etd-calendar .event.following.consecutive-slot-7.preceding-week-end span {
    width: calc(700% + 15px);
    margin-left: calc(-600% - 25px);
}

#etd-calendar
    .event.following.consecutive-slot-7.preceding-week-end.event.follow-prev-week
    span {
    width: calc(700% + 25px);
    margin-left: calc(-600% - 35px);
}

#etd-calendar .event.following.consecutive-slot-7.follow-prev-week span {
    width: calc(700% + 85px);
    margin-left: calc(-600% - 95px);
}

#etd-calendar .event.following.follow-prev-week span {
    /*width: calc(700% + 25px);
    margin-left: calc(-600% - 35px);
    left: unset;*/
}

#etd-calendar .event.preceding span {
    display: none;
}

#etd-calendar .full-tag {
    display: block;
    position: absolute;
    text-align: center;
    background-color: #fff;
    color: #f00;
    left: 0;
    bottom: 5px;
    z-index: 1000;
}

#etd-calendar .event.following.preceding {
    width: calc(100% + 10px);
}

@media screen and (max-width: 1200px) {
    .container.calendar {
        padding-top: 0;
    }

    #etd-calendar-body .week {
        flex-direction: column;
        gap: 20px;
    }

    #etd-calendar-body .week .day .date {
        display: block;
    }

    #etd-calendar-body .week .day {
        height: unset;
        text-align: center;
        padding-top: 15px;
        padding-bottom: 10px;
    }

    #etd-calendar-body .week .day .event {
        display: block;
        height: unset;
        min-height: 50px;
        width: calc(100% - 20px);
        margin-top: 5px;
        position: unset;
    }

    #etd-calendar-body .week .empty {
        display: none;
    }

    #etd-calendar-header-month {
        display: block;
        line-height: 50px;
    }

    #etd-calendar-month-tools {
        display: block;
        position: unset;
        right: auto;
        margin-bottom: 20px;
    }

    #etd-calendar .event {
        margin-left: 10px !important;
        margin-right: 10px !important;
    }

    #etd-calendar .event span {
        display: block !important;
        width: 100% !important;
        margin-left: unset !important;
        position: unset !important;
    }

    .tick {
        /*display: none;*/
    }

    #etd-calendar-body .week .day .empty-slot {
        display: block;
        height: 50px;
        width: calc(100% - 20px);
        margin-top: 5px;
        position: unset;
    }

    .full-tag {
        margin-top: 10px;
    }
}
